POST/api/v2/crypto-virtual-accounts/bank-address-book

Register a the crypto on/off-ramp fiat external account

Registers an external bank account in the crypto on/off-ramp bankAddressBook for automatic fiat withdrawal delivery.

Authentication

Send your API key in the x-api-key header on every request.

Request body

application/json

Request body fields
FieldTypeRequiredDescription
namestringNo
account_numberstringNo
bank_namestringNo
account_holder_namestringNo
countrystringNo
currencystringNo

Responses

201 — Created

Response 201 fields
FieldTypeRequiredDescription
idunknownNo
namestringNo
currencystringNo
bank_namestringNo
account_numberstringNo
account_number_hintstringNo
account_holder_namestringNo
countrystringNo
enabledbooleanNo
statestringNo
statusstringNo

400 — Bad Request

Response 400 fields
FieldTypeRequiredDescription
MessagestringNo
CodestringNo
StatusunknownNo
ValidationErrorsobjectNo
DetailsstringNo

Example request

curl -X POST "https://{base_url}/api/v2/crypto-virtual-accounts/bank-address-book" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{}'

This page is generated from the live OpenAPI specification and always matches the current API.